// GMrchaAI_BOSS.cpp: implementation of the GMrchaAI_BOSS class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "D3DXApp.h"
#include "GMrchaAI_BOSS.h"
#include "GGame.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

GMrchaAI_BOSS::GMrchaAI_BOSS(GGame *game, GMap *map, GMrcha *mrcha)
:GMrchaAI3(game, map, mrcha)
{
	m_addmrnous = 50;
}

GMrchaAI_BOSS::~GMrchaAI_BOSS()
{

}

void GMrchaAI_BOSS::AIMove()
{
	GMrchaAI3::AIMove();

	if (--m_addmrnous < 1) {
		int m = m_game->AddMrcha(m_mrcha->m_mx, m_mrcha->m_my, m_mrcha->m_typ+1);
		m_addmrnous = 50;


		// Aby mrcha "strilela" male mrchy
		if (m != -1) m_game->m_mrcha[m].m_dir = m_mrcha->m_dir;
	}
}
