// MHelp.cpp: implementation of the MHelp class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "MHelp.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

MHelp::MHelp()
{

}

MHelp::~MHelp()
{

}

void MHelp::Destroy()
{
	if (m_bPozadi != -1) d3dx.DestroyTexture(m_bPozadi);
	m_bPozadi = -1;
}

void MHelp::Draw()
{
	d3dx.Draw(m_bPozadi, 400, 300, 0, 1.5625);

	m_font->DrawTextScaled( 400, 125,  0.9f, 1, 1, 0xffffffff, lng.Translate(70), D3DFONT_FILTERED|D3DFONT_CENTERED);
	m_font->DrawTextScaled( 220, 185,  0.9f, 1, 1, 0xffffffff, lng.Translate(71), D3DFONT_FILTERED);
	m_font->DrawTextScaled( 220, 250,  0.9f, 1, 1, 0xffffffff, lng.Translate(72), D3DFONT_FILTERED);
	m_font->DrawTextScaled( 220, 317,  0.9f, 1, 1, 0xffffffff, lng.Translate(73), D3DFONT_FILTERED);
	m_font->DrawTextScaled( 220, 385,  0.9f, 1, 1, 0xffffffff, lng.Translate(74), D3DFONT_FILTERED);
	m_fontL->DrawTextScaled( 470, 180,  0.9f, 1, 1, 0xffffffff, lng.Translate(75), D3DFONT_FILTERED);
	m_fontL->DrawTextScaled( 470, 240,  0.9f, 1, 1, 0xffffffff, lng.Translate(76), D3DFONT_FILTERED);
//	m_fontL->DrawTextScaled( 450, 380,  0.9f, 1, 1, 0xffffffff, lng.Translate(79), D3DFONT_FILTERED);
	CSize sz;
	m_font->GetTextExtent(lng.Translate(77), &sz);
	m_font->DrawTextScaled( 410-sz.cx, 423,  0.9f, 1, 1, 0xffffffff, lng.Translate(77), D3DFONT_FILTERED);
	m_font->GetTextExtent(lng.Translate(78), &sz);
	m_font->DrawTextScaled( 410-sz.cx, 457,  0.9f, 1, 1, 0xffffffff, lng.Translate(78), D3DFONT_FILTERED);

}

void MHelp::Init(CMainFrame *parent)
{
	GBase::Init(parent);

	m_bPozadi = d3dx.CreateTextureFromFile("data\\mhelp.jpg");
}

int MHelp::OnKey(int nChar)
{
	switch (nChar) {
	case 27 : 
	case VK_RETURN : 
	case VK_SPACE :
		return MENU_MAIN; 
		break;
	}

	return MENU_DEFAULT;
}